%global srcname aiohttp1.3-aiohttp-cors
%global pypi_srcname aiohttp-cors
%global common_desc aiohttp_cors library implements Cross Origin Resource Sharing (CORS) support \
for aiohttp asyncio-powered asynchronous HTTP server.\
This version is built against python-aiohttp1.3 package



Name:           python-%{srcname}
Version:        0.5.3
Release:        1%{?dist}
Summary:        CORS (Cross Origin Resource Sharing) support for aiohttp

License:        ASL 2.0
URL:            https://github.com/aio-libs/aiohttp-cors
Source0:        https://github.com/aio-libs/aiohttp-cors/archive/v%{version}/python-aiohttp-cors-%{version}.tar.gz
Patch0:         aiohttp-cors-0.5.3-move-to-aiohttp13-namespace.patch

BuildArch:      noarch

%description
%{common_desc}

# This module is Python 3 only
%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires: python3-aiohttp1.3 >= 1.3

# For tes suite
BuildRequires: python3-pytest-runner
BuildRequires: python3-aiohttp1.3 >= 1.3


%description -n python3-%{srcname}
%{common_desc}


%prep
%autosetup -p1 -n %{pypi_srcname}-%{version}
mv aiohttp_cors aiohttp13_aiohttp_cors

%build
%py3_build

%install
%py3_install

%check
# selenium and simple are not available in the repos
#%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst CHANGES.rst
%{python3_sitelib}/aiohttp13_aiohttp_cors
%{python3_sitelib}/aiohttp13_aiohttp_cors-*.egg-info/

%changelog
* Sun Jul 23 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.5.3-1
- Fix the spec for parallel installation
- Move Python module and package to new namespace

* Sat Apr 29 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.5.3-1
- Update to 0.5.3

* Fri Feb 10 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.5.0-1
- Initial spec.
